{"items":[{"type":"link","label":"Events","link":"/solutions/fdplan/apis/fdplan-events","routeSlug":"/solutions/fdplan/apis/fdplan-events","content":{"contentType":"overview","meta":{"name":"Events"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"Events Spec","url":"https://developer.slb.com/fdplan/FDPlan-Events.yaml"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[{"kind":"externallink","title":"URL","titleTranslationKey":"info.contact.url","label":"https://customersupport.digital.slb.com","url":"https://customersupport.digital.slb.com"}]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://api.delfi.slb.com/fdplan/events"},{"url":"/_mock/solutions/fdplan/apis/fdplan-events","description":"Mock server","isMockServer":true}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Events (1.0.0)","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"fence","attributes":{"content":"prod-nam-services-fdplan.slbservice.com\nprod-eu-services-fdplan.slbservice.com\nprod-au-services-fdplan.slbservice.com\nprod-id-services-fdplan.slbservice.com\nproduction-services-fdplan.slbservice.com\n","language":"plain","title":"Client ID"},"children":[{"$$mdtype":"Node","type":"text","attributes":{"content":"prod-nam-services-fdplan.slbservice.com\nprod-eu-services-fdplan.slbservice.com\nprod-au-services-fdplan.slbservice.com\nprod-id-services-fdplan.slbservice.com\nproduction-services-fdplan.slbservice.com\n"},"children":[]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The events API can be used to discover events which have occurred"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"within FDPlan. The events follow the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://cloudevents.io/"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cloud events specification"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" for"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"describing events."},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"For more information on the "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://github.com/cloudevents/spec"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"cloud event specification"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}]}],"sectionId":"/"}],"sectionId":"/"}]}]}},{"type":"group","label":"CloudEvents","link":"/solutions/fdplan/apis/fdplan-events/cloudevents","routeSlug":"/solutions/fdplan/apis/fdplan-events/cloudevents","items":[{"label":"Get a list of events","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/solutions/fdplan/apis/fdplan-events/cloudevents/getevents","routeSlug":"/solutions/fdplan/apis/fdplan-events/cloudevents/getevents","metadata":{"seo":{"title":"Get a list of events","description":"Returns a list of events using CloudEvents. Due to paging this does not follow the standard 'batch' format, see attributes"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getEvents","name":"Get a list of events","isWebhook":false,"pointer":"/paths/~1v1~1cloud-events/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get a list of events","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Returns a list of events using CloudEvents. Due to paging this does not follow the standard 'batch' format, see "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://github.com/cloudevents/spec/blob/v0.3/json-format.md#2-attributes"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"attributes"},"children":[]}]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"bearer","scopes":[],"type":"apiKey","in":"header","paramName":"Authorization"},{"name":"appkey","scopes":[],"type":"apiKey","in":"header","paramName":"appkey"}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"planningtags","in":"query","style":"form","explode":false,"schemaId":"schema_0","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"An optional list of tags to filter events e.g. [\"StudyId:01ED4CMJ4N9N504E3QJT1A68JY\", \"ScenarioId:01ED4CNEQDGBEWAK107ZFNT61S\"]. The planning tags are typically of the form \"tag name\":\"identifier\". For example to query all events for the study with identifier \"01ED4CMJ4N9N504E3QJT1A68JY\" use [\"StudyId:01ED4CMJ4N9N504E3QJT1A68JY\"]."},"children":[]}]}]}]},{"name":"studyId","in":"query","schemaId":"schema_1","description":"Study identifier to filter results.  (Marked for deprecation in favour of planningtags)"},{"name":"from","in":"query","schemaId":"schema_2","description":"First date from which events will be returned. Must be after 1979 and before 'to' filter, defaults to exactly 10 days ago.","example":"2021-01-01T00:00:00.000Z"},{"name":"to","in":"query","schemaId":"schema_2","description":"Last date to which events will be returned. Must be either current time or after 'from', defaults to the current time.","example":"2021-01-10T00:00:00.000Z"},{"name":"type","in":"query","schemaId":"schema_1","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Event type to filter results. The event type is a reverse DNS name of the form com.slb.cloud.fdplan.{domain}.{event-type}.{event-version}. where \"domain\" is the FDPlan domain which generated the results (e.g. studies, evaluation), \"event-type\" is the name of the event and \"event-version\" is the event version. For example, events are raised from the FDPlan evaluation system when computations are required and completed. The events have the form com.slb.cloud.fdplan.evaluation.computation_required_{spec_id}_{spec_version}.{event-version}, where \"spec_id\" and \"spec_version\" are the evaluation computation specification identifier and version respectively. See FDPlan evaluation API for more details."},"children":[]}]}]}],"example":"com.slb.cloud.fdplan.evaluation.computation_required_ix_v1.v1"},{"name":"pageSize","in":"query","schemaId":"schema_3","description":"Paging - number of events to return in the current page."},{"name":"pageNumber","in":"query","schemaId":"schema_4","description":"Paging - the current zero based index page."}],"pointer":"/paths/~1v1~1cloud-events/get/parameters"},{"nodeType":"item-content","variant":"headers","label":"Headers","labelTranslationKey":"header","parameters":[{"name":"slb-partition-id","in":"header","schemaId":"schema_1","description":"Data partition id.","required":true}],"pointer":"/paths/~1v1~1cloud-events/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/cloud-events","servers":[{"url":"https://api.delfi.slb.com/fdplan/events"},{"url":"/_mock/solutions/fdplan/apis/fdplan-events","description":"Mock server","isMockServer":true}],"parameters":{"path":[],"query":[{"name":"planningtags","in":"query","schemaId":"schema_0","style":"form","explode":false},{"name":"studyId","in":"query","schemaId":"schema_1"},{"name":"from","in":"query","example":"2021-01-01T00:00:00.000Z","schemaId":"schema_2"},{"name":"to","in":"query","example":"2021-01-10T00:00:00.000Z","schemaId":"schema_2"},{"name":"type","in":"query","example":"com.slb.cloud.fdplan.evaluation.computation_required_ix_v1.v1","schemaId":"schema_1"},{"name":"pageSize","in":"query","schemaId":"schema_3"},{"name":"pageNumber","in":"query","schemaId":"schema_4"}],"querystring":[],"header":[{"name":"slb-partition-id","in":"header","required":true,"schemaId":"schema_1"}],"cookie":[]},"security":[{"schemes":[{"id":"bearer","type":"apiKey","name":"Authorization","in":"header"},{"id":"appkey","type":"apiKey","name":"appkey","in":"header"}],"scopes":[]}],"responseCodes":["200","401","default"],"pointer":"/v1/cloud-events","href":"cloudevents/getevents","openApiOperationId":"getEvents","summary":"Get a list of events"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.delfi.slb.com/fdplan/events"},{"url":"/_mock/solutions/fdplan/apis/fdplan-events","description":"Mock server","isMockServer":true}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"Retrieved cloud events successfully.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CloudEventsResponse"}},"schemaId":"components/schemas/CloudEventsResponse"},{"code":"401","description":"Unauthorized.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"},{"code":"default","description":"Unexpected error.","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}},"schemaId":"components/schemas/Error"}],"pointer":"/paths/~1v1~1cloud-events/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/CloudEventsResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CloudEventsResponse"}}},{"code":"401","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}},{"code":"default","schemaId":"components/schemas/Error","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Error"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/cloudevents/getevents"}],"panels":[]}]},"httpPath":"/v1/cloud-events"}],"content":{"contentType":"group","meta":{"name":"CloudEvents"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"CloudEvents","showPageActions":true},{"nodeType":"markdoc","content":"Getting cloud events."}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v1/cloud-events","summary":"Get a list of events","prefix":{"name":"get","color":"get"},"badges":[],"link":"/cloudevents/getevents","deprecated":false}]}]}]}]}},{"type":"group","label":"Schema Definitions","link":"/solutions/fdplan/apis/fdplan-events/schema-definitions","routeSlug":"/solutions/fdplan/apis/fdplan-events/schema-definitions","items":[{"type":"link","label":"CloudEventsResponse","link":"/solutions/fdplan/apis/fdplan-events/schema-definitions/cloudeventsresponse","routeSlug":"/solutions/fdplan/apis/fdplan-events/schema-definitions/cloudeventsresponse","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"CloudEventsResponse"},"seo":{"title":"CloudEventsResponse"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"CloudEventsResponse","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/CloudEventsResponse"},"children":[]}]}]}},{"type":"link","label":"CloudEvent","link":"/solutions/fdplan/apis/fdplan-events/schema-definitions/cloudevent","routeSlug":"/solutions/fdplan/apis/fdplan-events/schema-definitions/cloudevent","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"CloudEvent"},"seo":{"title":"CloudEvent"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"CloudEvent","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/CloudEvent"},"children":[]}]}]}},{"type":"link","label":"Error","link":"/solutions/fdplan/apis/fdplan-events/schema-definitions/error","routeSlug":"/solutions/fdplan/apis/fdplan-events/schema-definitions/error","httpVerb":"schema","content":{"contentType":"item","itemVariant":"schema","meta":{"name":"Error"},"seo":{"title":"Error"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Error","showPageActions":true}],"panels":[]},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"tag","tag":"schemaDefinition","attributes":{"showWriteOnly":true,"schemaRef":"#/components/schemas/Error"},"children":[]}]}]}}],"content":{"contentType":"group","meta":{"name":"Schema Definitions"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Schema Definitions","showPageActions":true}],"panels":[{"children":[{"kind":"group-items","title":"Schemas","titleTranslationKey":"schemas","items":[{"title":"CloudEventsResponse","link":"/schema-definitions/cloudeventsresponse","deprecated":false},{"title":"CloudEvent","link":"/schema-definitions/cloudevent","deprecated":false},{"title":"Error","link":"/schema-definitions/error","deprecated":false}]}]}]}]}}],"store":{"schemaStore":{"components/schemas/CloudEventsResponse":{"id":"components/schemas/CloudEventsResponse","kind":"json-schema","title":"CloudEventsResponse","data":{"required":["events","total"],"type":"object","properties":{"total":{"description":"The total unpaged results for the filters given.","type":"integer","example":5},"events":{"description":"List of CloudEvents","type":"array","items":{"$ref":"#/components/schemas/CloudEvent"}}},"example":{"events":[{"id":"01EHSM2HYX79AV6RRFSCYDR2YF","specversion":"0.3","type":"com.slb.cloud.fdplan.evaluation.computation_required_ix_v1.v1","source":"/services/internal/01EHSM2HYXM3MM99SH749MF53C","time":"2021-01-04T14:24:52.189Z","datacontenttype":"application/json","studyId":"01ED4CMJ4N9N504E3QJT1A68JY","planningtags":["StudyId:01ED4CMJ4N9N504E3QJT1A68JY","ScenarioId:01ED4CNEQDGBEWAK107ZFNT61S"],"data":{"computationID":"1cc5d4b52ce9f3e4851024fdbba1bd028c0a25af1f140e6b92d27408e274403b","specID":"ix","specName":"name","specVersion":1}},{"id":"01EHSM2HYX79AV6RRFSCYSDFSD","specversion":"0.3","type":"com.slb.cloud.fdplan.evaluation.computation_required_ix_v1.v1","source":"/services/internal/01EHSM2HYXM3MM99SH749MF53C","time":"2021-01-09T14:24:52.189Z","datacontenttype":"application/json","studyId":"01ED4CMJ4N9N504E3QJT1A68JY","planningtags":["StudyId:01ED4CMJ4N9N504E3QJT1A68JY","ScenarioId:01ED4CNEQDGBEWAK107ZFNT61S"],"data":{"computationID":"543jk5hlk435hjlk435hk345hkhfkdjh55kjh5kjhsekjahklj60098092838098","specID":"ix","specName":"name","specVersion":1}}],"total":2}}},"components/schemas/CloudEvent":{"id":"components/schemas/CloudEvent","kind":"json-schema","title":"CloudEvent","data":{"required":["specversion","type","source","id","time","datacontenttype","studyId","data"],"type":"object","properties":{"id":{"description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The identifier of the event. See "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://github.com/cloudevents/spec/blob/v1.0.1/spec.md#id"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"id"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"type":"string","example":"01EHSM2HYX79AV6RRFSCYDR2YF"},"specversion":{"description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The cloudevents spec version. See "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://github.com/cloudevents/spec/blob/v1.0.1/spec.md#specversion"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"version"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"type":"string","example":"0.3"},"type":{"description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The type of event being raised. The event type is a reverse DNS name of the form com.slb.cloud.fdplan.{domain}.{event-type}.{event-version}. where \"domain\" is the FDPlan domain which generated the results (e.g. studies, evaluation), \"event-type\" is the name of the event and \"event-version\" is the event version. For example, events are raised from the FDPlan evaluation system when computations are required and completed. The events have the form com.slb.cloud.fdplan.evaluation.computation_required_{spec_id}_{spec_version}.{event-version}, where \"spec_id\" and \"spec_version\" are the evaluation computation specification identifier and version respectively. See FDPlan evaluation API for more details. See "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://github.com/cloudevents/spec/blob/v1.0.1/spec.md#type"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"type"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"type":"string","example":"com.slb.cloud.fdplan.evaluation.computation_completed_peep_economics_v1.v1"},"source":{"description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"URI describing the origin of the event. See "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://github.com/cloudevents/spec/blob/v1.0.1/spec.md#source"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"source"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"type":"string","example":"/services/internal/01EHSM2HYXM3MM99SH749MF53C"},"time":{"format":"date-time","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The time the event occurred (in memory) - note do not use an entity persistence time or any time which may lag the actual event. See "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://github.com/cloudevents/spec/blob/v1.0.1/spec.md#time"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"time"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"type":"string","example":"2020-09-09T14:24:52.189Z"},"studyId":{"description":"The study identifier. (Marked for deprecation in favour of planningtags)","type":"string","example":"01ED4CMJ4N9N504E3QJT1A68JY"},"datacontenttype":{"description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The MIME content type of the 'data' field below. See "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://github.com/cloudevents/spec/blob/v1.0.1/spec.md#datacontenttype"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"datacontenttype"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"type":"string","example":"application/json"},"planningtags":{"description":"List of tags which will provide user context for logged events. Planning tags are typically of the form \"tag name\":\"identifier\".","type":"array","items":{"type":"string"},"example":["StudyId:01ED4CMJ4N9N504E3QJT1A68JY","ScenarioId:01ED4CNEQDGBEWAK107ZFNT61S"]},"data":{"description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"The JSON body of the event. See "},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://github.com/cloudevents/spec/blob/v1.0.1/spec.md#data"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"data"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"."},"children":[]}]}]}],"additionalProperties":true,"type":"object","example":{"computationID":"1cc5d4b52ce9f3e4851024fdbba1bd028c0a25af1f140e6b92d27408e274403b","specID":"peep-economics","specName":"economics","specVersion":1}}},"example":{"id":"01EHSM2HYX79AV6RRFSCYDR2YF","specversion":"0.3","type":"com.slb.cloud.fdplan.evaluation.computation_completed_peep_economics_v1.v1","source":"/services/internal/01EHSM2HYXM3MM99SH749MF53C","time":"2020-09-09T14:24:52.189Z","studyId":"01ED4CMJ4N9N504E3QJT1A68JY","datacontenttype":"application/json","planningtags":["StudyId:01ED4CMJ4N9N504E3QJT1A68JY","ScenarioId:01ED4CNEQDGBEWAK107ZFNT61S"],"data":{"computationID":"1cc5d4b52ce9f3e4851024fdbba1bd028c0a25af1f140e6b92d27408e274403b","specID":"peep-economics","specName":"economics","specVersion":1}}}},"components/schemas/Error":{"id":"components/schemas/Error","kind":"json-schema","title":"Error","data":{"description":"Generic error response.","required":["data"],"type":"object","properties":{"data":{"required":["code"],"type":"object","properties":{"code":{"format":"int32","description":"The HTTP status code.","type":"integer","example":500},"message":{"description":"The error message.","type":"string","example":"internal server error"}}}},"example":{"data":{"code":500,"message":"internal server error"}}}},"schema_0":{"kind":"json-schema","data":{"type":"array","items":{"type":"string"}},"id":"schema_0"},"schema_1":{"kind":"json-schema","data":{"type":"string"},"id":"schema_1"},"schema_2":{"kind":"json-schema","data":{"type":"string","format":"date-time"},"id":"schema_2"},"schema_3":{"kind":"json-schema","data":{"type":"integer","maximum":3600,"default":50},"id":"schema_3"},"schema_4":{"kind":"json-schema","data":{"type":"integer","default":0},"id":"schema_4"}},"exampleStore":{},"securitySchemeStore":{"bearer":{"id":"bearer","type":"apiKey","in":"header","paramName":"Authorization"},"appkey":{"id":"appkey","type":"apiKey","in":"header","paramName":"appkey"}},"specVersion":"3.2.0","servers":[{"url":"https://api.delfi.slb.com/fdplan/events"},{"url":"/_mock/solutions/fdplan/apis/fdplan-events","isMockServer":true,"description":"Mock server"}],"specType":"openapi"},"options":{"schemaDefinitionsTagName":"Schema Definitions","downloadUrls":[{"title":"Events Spec","url":"https://developer.slb.com/fdplan/FDPlan-Events.yaml"}],"mockServer":{"url":"/_mock/solutions/fdplan/apis/fdplan-events","position":"last","description":"Mock server"},"disableRouter":true,"excludeFromSearch":false,"replayFeatures":{"graphql":false},"specType":"openapi","markdocOptions":{"tags":{},"nodes":{},"components":{}},"metadata":{"title":"Events","description":"```plain {% title=\"Client ID\" %}\nprod-nam-services-fdplan.slbservice.com\nprod-eu-services-fdplan.slbservice.com\nprod-au-services-fdplan.slbservice.com\nprod-id-services-fdplan.slbservice.com\nproduction-services-fdplan.slbservice.com\n```\n\nThe events API can be used to discover events which have occurred\nwithin FDPlan. The events follow the [cloud events specification](https://cloudevents.io/) for\ndescribing events.\nFor more information on the [cloud event specification](https://github.com/cloudevents/spec).\n"}},"baseSlug":"/solutions/fdplan/apis/fdplan-events","routesMapping":{}}